Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Michael Albinus <[email-masked]>
Date: Mon, 27 Feb 2012 09:39:16 +0100

Eli Zaretskii <[email-masked]> writes:

>> >> Disconnected R:        \\ASLSDA0\ZENTRAL         Microsoft Windows Network
>> >> OK           U:        \\DESTGSFILN2\lb01177$    Microsoft Windows Network
>> >> OK           Y:        \\sambager1\albinus       Microsoft Windows Network
>> >> The command completed successfully.
>> >> --8<---------------cut here---------------end--------------->8---
>> >
>> > And all of the \\server\share\foo directories, and also those below
>> > them, return zero inodes?
>> 
>> I haven't checked. If it's important, I could do on Monday. Just tell me.
>
> I'd like to know the extent of the problem.  Specifically, does _any_
> networked drive trigger this problem, or just some of them?  If the
> latter, is it perhaps limited to Samba (which seems to be the type of
> the mount there), or anyway to the specific kind of software that
> manages the mounted volume?

OK, here we are. The active network drives are DESTGSFILN2, which says

Domain=[RES1] OS=[Windows Server 2003 3790 Service Pack 2] Server=[Windows Server 2003 5.2]

and sambager1, claiming

Domain=[RES1] OS=[Unix] Server=[Samba 3.4.9]

My local machine, running Emacs 24.0.91, says

Domain=[EMEA] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

It seems to run Windows XP Pro Service Pack 3. I'm not aware of a
special program mounting network drives.

The test results are:

--8<---------------cut here---------------start------------->8---
(file-attributes "//DESTGSFILN2/lb01177$")
(t 1 101567 513 (0 0) (0 0) (0 0) 0 "drwxrwxrwx" nil 0 (40652 . 16428))

(file-attributes "//DESTGSFILN2/lb01177$/.emacs.d")
(t 1 101567 513 (20299 16187) (18667 19266) (18567 12095) 0 "drwxrwxrwx" nil 0 (40652 . 16428))

(file-attributes "//DESTGSFILN2/lb01177$/.emacs.d/tramp")
(nil 1 101567 513 (19690 12422) (18667 19266) (18667 19266) 926 "-rw-rw-rw-" nil 0 (40652 . 16428))

(file-attributes "//sambager1/albinus")
(t 1 101567 513 (0 0) (0 0) (0 0) 0 "drwxrwxrwx" nil 0 (47631 . 5881))

(file-attributes "//sambager1/albinus/.emacs.d")
(t 1 101567 513 (20299 15958) (20295 47753) (20295 47753) 0 "drwxrwxrwx" nil 0 (47631 . 5881))

(file-attributes "//sambager1/albinus/.emacs.d/tramp")
(nil 1 101567 513 (20299 14091) (20295 47753) (20295 47753) 14769 "-rw-rw-rw-" nil 0 (47631 . 5881))
--8<---------------cut here---------------end--------------->8---

I would say, that a zero inode is returned in any case of a network drive
located file.

> TIA

Best regards, Michael.